post
https://api-sdk.lmnl.dev/api/wallet/get-approx-fees
This API is a request to fetch the estimated gas fees and rates for hot wallet transactions in UTXO and EVM blockchains.
The API returns the following parameters depending on the blockchain protocol used:
- When using a UTXO chain, it returns the
fee,feeRate,ERC20TokenFees,maxFeePerGasGwei, andmaxPriorityFeePerGasGweiparameters. - When using an EVM chain, it returns the
coin,blockNumber,timestamp,baseFeePerGas,typeparameters and theslow,marketandaggressiveobjects, each including thepriorityFeeMultiplier,maxPriorityFeePerGasandmaxFeePerGasparameters.
EVM blockchains return gas fee rates as per slow, market and aggressive estimates. The estimation types are used when passing the feelevel parameter in the Create transaction requests API. If you are using a custom value for the feeLevel parameter:
- Refer to the
maxPriorityFeePerGasandmaxFeePerGasfields when the blockchain protocoltypeis EIP 1559 (ETH), and - Refer to the
maxFeePerGasfield when the blockchain protocoltypeis BNB (legacy).
